Bug 1583392 - moose: FTBFS in Fedora 28
Summary: moose: FTBFS in Fedora 28
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: moose
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-05-28 22:12 UTC by Fedora Release Engineering
Modified: 2019-05-28 22:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:08:17 UTC
Type: ---


Attachments (Terms of Use)
root.log (86.46 KB, text/plain)
2018-05-28 22:12 UTC, Fedora Release Engineering
no flags Details
build.log (1.02 MB, text/plain)
2018-05-28 22:13 UTC, Fedora Release Engineering
no flags Details
state.log (695 bytes, text/plain)
2018-05-28 22:13 UTC, Fedora Release Engineering
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1604882 None None None Never

Internal Links: 1604882

Description Fedora Release Engineering 2018-05-28 22:12:48 UTC
moose failed to build from source in Fedora 28

https://koji.fedoraproject.org/koji/taskinfo?taskID=27237028
https://koji.fedoraproject.org/koji/buildinfo?buildID=1061833


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
Please fix moose at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
moose will be orphaned. Before branching of Fedora 29,
moose will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2018-05-28 22:12:54 UTC
Created attachment 1444383 [details]
root.log

Comment 2 Fedora Release Engineering 2018-05-28 22:13:01 UTC
Created attachment 1444388 [details]
build.log

Comment 3 Fedora Release Engineering 2018-05-28 22:13:04 UTC
Created attachment 1444389 [details]
state.log

Comment 4 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:27:13 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 5 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:28:53 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to acknowledge this. Following the latest policy for such packages [2], your package will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 6 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:30:42 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 7 Zbigniew Jędrzejewski-Szmek 2018-08-07 11:56:04 UTC
Package should build fine in rawhide now. It still installs OK in F28, so I don't think there's a need to rebuild it in F28.

Comment 8 Zbigniew Jędrzejewski-Szmek 2018-08-07 15:54:10 UTC
I thought the build will be fine now, but python-moose crashes the same in rawhide and in F28.

*** This bug has been marked as a duplicate of bug 1604882 ***

Comment 9 Zbigniew Jędrzejewski-Szmek 2018-08-14 21:29:36 UTC
Moose builds fine in rawhide now (after adding ExcludeArch:s390x), but still fails in F28. It seems like it might be a numpy issue?

[INFO] Reading file /builddir/build/BUILD/moose-core-3.1.4/tests/python/temp.npy
Traceback (most recent call last):
  File "/builddir/build/BUILD/moose-core-3.1.4/tests/python/test_streamer.py", line 127, in <module>
    main()
  File "/builddir/build/BUILD/moose-core-3.1.4/tests/python/test_streamer.py", line 122, in main
    test( )
  File "/builddir/build/BUILD/moose-core-3.1.4/tests/python/test_streamer.py", line 110, in test
    data = np.load( outfile )
  File "/usr/lib64/python2.7/site-packages/numpy/lib/npyio.py", line 421, in load
    pickle_kwargs=pickle_kwargs)
  File "/usr/lib64/python2.7/site-packages/numpy/lib/format.py", line 635, in read_array
    shape, fortran_order, dtype = _read_array_header(fp, version)
  File "/usr/lib64/python2.7/site-packages/numpy/lib/format.py", line 489, in _read_array_header
    header = _read_bytes(fp, header_length, "array header")
  File "/usr/lib64/python2.7/site-packages/numpy/lib/format.py", line 830, in _read_bytes
    raise ValueError(msg % (error_template, size, len(data)))
ValueError: EOF: reading array header, expected 41984 bytes got 2020

Comment 10 Ben Cotton 2019-05-02 21:06:10 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Ben Cotton 2019-05-28 22:08:17 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.